﻿
* {
    box-sizing: border-box;
}

body {
    font-family: Ubuntu,sans-serif!important;
    font-size: 14px;
    /*background: #f6fffd;*/
    background: rgba(198, 218, 220, 0.8);
    /*padding: 20px;*/
    text-align: center;
}

.wrapper {
    width: 250px;
    height: 350px;
    margin: 60px auto;
    perspective: 600px;
    text-align: left;
}

.rec-prism {
    width: 100%;
    height: 100%;
    position: relative;
    transform-style: preserve-3d;
    transform: translateZ(-100px);
    transition: transform 0.5s ease-in;
}

.face {
    position: absolute;
    width: 250px;
    height: 350px;
    padding: 20px;
    background: rgba(250, 250, 250, 0.96);
    border: 3px solid #07ad90;
    border-radius: 3px;
}

    .face .content {
        color: #666;
    }

        .face .content h2 {
            font-size: 1.2em;
            color: #07ad90;
        }

        .face .content .field-wrapper {
            margin-top: 30px;
            position: relative;
        }

            .face .content .field-wrapper label {
                position: absolute;
                pointer-events: none;
                font-size: 0.85em;
                top: 40%;
                left: 0;
                transform: translateY(-50%);
                transition: all ease-in 0.25s;
                color: #999999;
            }

            .face .content .field-wrapper input[type="text"],
            .face .content .field-wrapper input[type="password"],
            .face .content .field-wrapper input[type="submit"],
            .face .content .field-wrapper textarea {
                -webkit-appearance: none;
                appearance: none;
            }

                .face .content .field-wrapper input[type="text"]:focus,
                .face .content .field-wrapper input[type="password"]:focus,
                .face .content .field-wrapper input[type="submit"]:focus,
                .face .content .field-wrapper textarea:focus {
                    outline: none;
                }

            .face .content .field-wrapper input[type="text"],
            .face .content .field-wrapper input[type="password"],
            .face .content .field-wrapper textarea {
                width: 100%;
                border: none;
                background: transparent;
                line-height: 2em;
                border-bottom: 1px solid #07ad90;
                color: #666;
            }

                .face .content .field-wrapper input[type="text"]::-webkit-input-placeholder,
                .face .content .field-wrapper input[type="password"]::-webkit-input-placeholder,
                .face .content .field-wrapper textarea::-webkit-input-placeholder {
                    opacity: 100;
                }

                .face .content .field-wrapper input[type="text"]::-moz-placeholder,
                .face .content .field-wrapper input[type="password"]::-moz-placeholder,
                .face .content .field-wrapper textarea::-moz-placeholder {
                    opacity: 100;
                }

                .face .content .field-wrapper input[type="text"]:-ms-input-placeholder,
                .face .content .field-wrapper input[type="password"]:-ms-input-placeholder,
                .face .content .field-wrapper textarea:-ms-input-placeholder {
                    opacity: 100;
                }

                .face .content .field-wrapper input[type="text"]:-moz-placeholder,
                .face .content .field-wrapper input[type="password"]:-moz-placeholder,
                .face .content .field-wrapper textarea:-moz-placeholder {
                    opacity: 100;
                }

                .face .content .field-wrapper input[type="text"]:focus + label, .face .content .field-wrapper input[type="text"]:not(:placeholder-shown) + label,
                .face .content .field-wrapper input[type="password"]:focus + label,
                .face .content .field-wrapper input[type="password"]:not(:placeholder-shown) + label,
                .face .content .field-wrapper textarea:focus + label,
                .face .content .field-wrapper textarea:not(:placeholder-shown) + label {
                    top: -35%;
                    color: #42509e;
                }

            .face .content .field-wrapper input[type="submit"] {
                -webkit-appearance: none;
                appearance: none;
                cursor: pointer;
                width: 100%;
                background: #07ad90;
                line-height: 2em;
                color: #fff;
                border: 1px solid #07ad90;
                border-radius: 3px;
                padding: 5px;
            }

                .face .content .field-wrapper input[type="submit"]:hover {
                    opacity: 0.9;
                }

                .face .content .field-wrapper input[type="submit"]:active {
                    transform: scale(0.96);
                }

            .face .content .field-wrapper button {
                -webkit-appearance: none;
                appearance: none;
                cursor: pointer;
                width: 100%;
                border-radius: 3px;
                padding: 5px;
                background-color: #22BAA0;
                color: #fff;
                border: 1px solid transparent;
                font-size: 1.3em;
            }

            .face .content .field-wrapper button:hover {
                opacity: 0.9;
            }

            .face .content .field-wrapper button:active {
                transform: scale(0.96);
            }

            .face .content .field-wrapper textarea {
                resize: none;
                line-height: 1em;
            }

                .face .content .field-wrapper textarea:focus + label, .face .content .field-wrapper textarea:not(:placeholder-shown) + label {
                    top: -25%;
                }

    .face .thank-you-msg {
        position: absolute;
        width: 200px;
        height: 130px;
        text-align: center;
        font-size: 2em;
        color: #07ad90;
        left: 50%;
        top: 50%;
        -webkit-transform: translate(-50%, -50%);
    }

        .face .thank-you-msg:after {
            position: absolute;
            content: "";
            width: 50px;
            height: 25px;
            border: 10px solid #07ad90;
            border-right: 0;
            border-top: 0;
            left: 50%;
            top: 50%;
            -webkit-transform: translate(-50%, -50%) rotate(0deg) scale(0);
            transform: translate(-50%, -50%) rotate(0deg) scale(0);
            -webkit-animation: success ease-in 0.15s forwards;
            animation: success ease-in 0.15s forwards;
            animation-delay: 2.5s;
        }

.face-front {
    transform: rotateY(0deg) translateZ(125px);
}

.face-top {
    height: 250px;
    transform: rotateX(90deg) translateZ(125px);
}

.face-back {
    transform: rotateY(180deg) translateZ(125px);
}

.face-right {
    transform: rotateY(90deg) translateZ(125px);
}

.face-left {
    transform: rotateY(-90deg) translateZ(125px);
}

.face-bottom {
    height: 250px;
    transform: rotateX(-90deg) translateZ(225px);
}

.nav {
    margin: 20px 0;
    padding: 0;
}

    .nav li {
        display: inline-block;
        list-style-type: none;
        font-size: 1em;
        margin: 0 10px;
        color: #42509e;
        position: relative;
        cursor: pointer;
    }

        .nav li:after {
            content: "";
            position: absolute;
            bottom: 0;
            left: 0;
            width: 20px;
            border-bottom: 1px solid #42509e;
            transition: all ease-in 0.25s;
        }

        .nav li:hover:after {
            width: 100%;
        }

.psw,
.signup,
.singin {
    display: block;
    margin: 20px 0;
    font-size: 1em;
    text-align: center;
    color: #42509e;
    cursor: pointer;
}

.title-login {
    font-size: 1.2em;
    text-align: center;

}

@-webkit-keyframes success {
    from {
        -webkit-transform: translate(-50%, -50%) rotate(0) scale(0);
    }

    to {
        -webkit-transform: translate(-50%, -50%) rotate(-45deg) scale(1);
    }
}

.text-lg {
    font-size: 2.1em;
}